<div class="max-w-3xl mx-auto mt-4 p-6 bg-white rounded-md shadow-md">
  <h2 class="text-xl font-semibold mb-4">Lista de Clientes</h2>
  <ul>
    <li *ngFor="let cliente of clientes" class="border-b border-gray-200 py-3">
      <div class="flex items-center justify-between">
        <div class="flex items-center">
          <input type="checkbox" class="mr-2 form-checkbox h-4 w-4 text-indigo-600" (change)="seleccionarCliente(cliente)">
          <div>
            <p class="text-lg font-medium">{{ cliente.nombre }}</p>
            <p class="text-gray-500">{{ cliente.direccion }}</p>
            <p class="text-gray-500">{{ cliente.telefono }}</p>
            <p class="text-gray-500">{{ 'Su Id o Identificador : ' + cliente.id }}</p>
          </div>
        </div>
        <div>
          <button class="py-1 px-3 bg-indigo-600 text-white rounded-md mr-2" (click)="irAFormularioActualizacion(cliente.id)">Actualizar</button>
          <button class="py-1 px-3 bg-red-600 text-white rounded-md" (click)="eliminarCliente(cliente)">Eliminar</button>
        </div>
      </div>
    </li>
  </ul>
  <button class="py-1 px-3 bg-indigo-600 text-white rounded-md mr-2" (click)="regresar()">Regresar</button>
</div>
